diff -ruN ../nakedmudv2.7/src/hashtable.c src/hashtable.c
--- ../nakedmudv2.7/src/hashtable.c	Sun Jul 31 17:13:52 2005
+++ src/hashtable.c	Fri Oct  7 14:15:55 2005
@@ -44,7 +44,10 @@
 
   for (; *key; key++) {
     base *= BASE;
-    hvalue += tolower(*key) * base;
+    if(!isalpha(*key))
+      hvalue += *key * base;
+    else
+      hvalue += tolower(*key) * base;
   }
 
   return (hvalue < 0 ? hvalue * -1 : hvalue);
@@ -125,12 +128,8 @@
 void  deleteHashtable(HASHTABLE *table) {
   int i;
   for(i = 0; i < table->num_buckets; i++) {
-    if(table->buckets[i]) {
-      HASH_ENTRY *entry = NULL;
-      while((entry=listPop(table->buckets[i])) !=NULL)
-	deleteHashtableEntry(entry);
-      deleteList(table->buckets[i]);
-    }
+    if(table->buckets[i])
+      deleteListWith(table->buckets[i], deleteHashtableEntry);
   }
 
   free(table->buckets);
diff -ruN ../nakedmudv2.7/src/help/help.c src/help/help.c
--- ../nakedmudv2.7/src/help/help.c	Sun Jul 31 17:13:52 2005
+++ src/help/help.c	Fri Oct  7 14:15:55 2005
@@ -46,10 +46,10 @@
 HELP_DATA *newHelp(const char *editor, const char *timestamp,
 		   const char *keywords, const char *info) {
   HELP_DATA *data = malloc(sizeof(HELP_DATA));
-  data->keywords  = strdup(keywords  ? keywords  : "");
-  data->editor    = strdup(editor    ? editor    : "");
-  data->info      = strdup(info      ? info      : "");
-  data->timestamp = strdup(timestamp ? timestamp : "");
+  data->keywords  = strdupsafe(keywords);
+  data->editor    = strdupsafe(editor);
+  data->info      = strdupsafe(info);
+  data->timestamp = strdupsafe(timestamp);
   data->backups   = newList();
   return data;
 }
@@ -95,7 +95,7 @@
 
 HELP_ENTRY *newHelpEntry(const char *keyword, HELP_DATA *data) {
   HELP_ENTRY *entry = malloc(sizeof(HELP_ENTRY));
-  entry->keyword = strdup(keyword ? keyword : NULL);
+  entry->keyword = strdupsafe(keyword);
   entry->help    = data;
   return entry;
 }
@@ -386,15 +386,15 @@
     help_table[i] = newList();
 
   // add all of our commands
-  add_cmd("help", NULL, cmd_help, 0, POS_UNCONCIOUS, POS_FLYING,
+  add_cmd("help", NULL, cmd_help, POS_UNCONCIOUS, POS_FLYING,
 	  "player", FALSE, FALSE);
-  add_cmd("hlink", NULL, cmd_hlink, 0, POS_UNCONCIOUS, POS_FLYING,
+  add_cmd("hlink", NULL, cmd_hlink, POS_UNCONCIOUS, POS_FLYING,
 	  "admin", FALSE, FALSE);
-  add_cmd("hunlink", NULL, cmd_hunlink, 0, POS_UNCONCIOUS, POS_FLYING,
+  add_cmd("hunlink", NULL, cmd_hunlink, POS_UNCONCIOUS, POS_FLYING,
 	  "admin", FALSE, FALSE);
-  add_cmd("hupdate", NULL, cmd_hupdate, 0, POS_SITTING, POS_FLYING,
+  add_cmd("hupdate", NULL, cmd_hupdate, POS_SITTING, POS_FLYING,
 	  "builder", FALSE, TRUE);
-  add_cmd("hedit", NULL, cmd_hedit, 0, POS_SITTING, POS_FLYING,
+  add_cmd("hedit", NULL, cmd_hedit, POS_SITTING, POS_FLYING,
 	  "builder", FALSE, TRUE);
 
   // read in all of our helps
@@ -489,8 +489,8 @@
     if(data->timestamp) free(data->timestamp);
     if(data->info)      free(data->info);
     
-    data->editor      = strdup(editor ? editor : "");
-    data->info        = strdup(info   ? info   : "");
+    data->editor      = strdupsafe(editor);
+    data->info        = strdupsafe(info);
     data->timestamp   = strdup(get_time());
 
     listPut(data->backups, help_old);
diff -ruN ../nakedmudv2.7/src/hooks.c src/hooks.c
--- ../nakedmudv2.7/src/hooks.c	Wed Dec 31 17:00:00 1969
+++ src/hooks.c	Fri Oct  7 14:15:55 2005
@@ -0,0 +1,66 @@
+//*****************************************************************************
+//
+// hooks.c
+//
+// Hooks are chunks of code that attach on to parts of game code, but aren't
+// really parts of the game code. Hooks can be used for a number of things. For
+// instance: processing room descriptions by outside modules before they are
+// displayed to a character, running triggers when certain events happen, or
+// perhaps logging how many time a room is entered or exited. We would probably
+// not want to hard-code any of these things into the core of the mud if they
+// are fairly stand-alone. So instead, we write hooks that attach into the game
+// and execute when certain events happen.
+//
+// Often events that will execute hooks are set off by someone or something
+// taking an action. Thus, all hooks take 3 arguments (actor, acted, arg) to
+// make it easy to handle these cases. These 3 arguments do not need to be used
+// for all hooks, however.
+//
+//*****************************************************************************
+#include "mud.h"
+#include "utils.h"
+#include "hooks.h"
+
+
+
+//*****************************************************************************
+// local functions, variables, and definitions
+//*****************************************************************************
+
+// the table of all our installed hooks
+HASHTABLE *hook_table = NULL;
+
+
+
+//*****************************************************************************
+// implementation of hooks.h
+//*****************************************************************************
+void init_hooks(void) {
+  // make our table of hooks
+  hook_table = newHashtable();
+}
+
+void hookAdd(const char *type, void *hook) {
+  LIST *list = hashGet(hook_table, type);
+  if(list == NULL) {
+    list = newList();
+    hashPut(hook_table, type, list);
+  }
+  listQueue(list, hook);
+}
+
+void hookRun(const char *type, void *actor, void *acted, void *arg) {
+  LIST *list = hashGet(hook_table, type);
+  if(list != NULL) {
+    LIST_ITERATOR *hook_i = newListIterator(list);
+    void (* hook)(void *actor, void *acted, void *arg) = NULL;
+    ITERATE_LIST(hook, hook_i)
+      hook(actor, acted, arg);
+    deleteListIterator(hook_i);
+  }
+}
+
+void hookRemove(const char *type, void *hook) {
+  LIST *list = hashGet(hook_table, type);
+  if(list != NULL) listRemove(list, hook);
+}
diff -ruN ../nakedmudv2.7/src/hooks.h src/hooks.h
--- ../nakedmudv2.7/src/hooks.h	Wed Dec 31 17:00:00 1969
+++ src/hooks.h	Fri Oct  7 14:15:55 2005
@@ -0,0 +1,54 @@
+#ifndef HOOKS_H
+#define HOOKS_H
+//*****************************************************************************
+//
+// hooks.h
+//
+// Hooks are chunks of code that attach on to parts of game code, but aren't
+// really parts of the game code. Hooks can be used for a number of things. For
+// instance: processing room descriptions by outside modules before they are
+// displayed to a character, running triggers when certain events happen, or
+// perhaps logging how many time a room is entered or exited. We would probably
+// not want to hard-code any of these things into the core of the mud if they
+// are fairly stand-alone. So instead, we write hooks that attach into the game
+// and execute when certain events happen.
+//
+// Often events that will execute hooks are set off by someone or something
+// taking an action. Thus, all hooks take 3 arguments (actor, acted, arg) to
+// make it easy to handle these cases. These 3 arguments do not need to be used
+// for all hooks, however.
+//
+//*****************************************************************************
+
+//
+// prepare hooks for use
+void init_hooks(void);
+
+//
+// This function attaches a hook to the game. It will run whenever a signal is
+// sent that a hook of "type" should run. Hooks take three arguments, some of
+// which may be null depending on the hook:
+//   void hook(actor, acted, arg)
+//
+// actor is the thing taking an action which is causing the hook to execute.
+// For instance, a character asking something for an "ask" hook.
+// 
+// acted is the thing being acted upon. For instance, the person being asked
+// a question in an "ask" hook.
+//
+// arg is some argument to the hook. Its type is determined by the type of
+// hook it is. In the example of the "ask" hook, this might be the question
+// being asked.
+//
+// init_hooks must be called before this function can be used.
+void hookAdd(const char *type, void *hook);
+
+//
+// executes all of the hooks of the given type, with the given arguments.
+void hookRun(const char *type, void *actor, void *acted, void *arg);
+
+//
+// remove the given hook
+void hookRemove(const char *type, void *hook);
+
+#endif // HOOKS_H
diff -ruN ../nakedmudv2.7/src/inform.c src/inform.c
--- ../nakedmudv2.7/src/inform.c	Sun Jul 31 17:13:52 2005
+++ src/inform.c	Fri Oct  7 14:15:55 2005
@@ -9,19 +9,20 @@
 //*****************************************************************************
 
 #include "mud.h"
+#include "utils.h"
 #include "character.h"
 #include "object.h"
 #include "world.h"
 #include "room.h"
 #include "exit.h"
 #include "extra_descs.h"
-#include "utils.h"
 #include "body.h"
 #include "races.h"
 #include "handler.h"
 #include "socket.h"
-#include "inform.h"
 #include "log.h"
+#include "inform.h"
+#include "hooks.h"
 
 
 
@@ -36,25 +37,14 @@
 
 
 //*****************************************************************************
-// optional module headers
-//*****************************************************************************
-#ifdef MODULE_TIME
-#include "time/mudtime.h"
-#endif
-
-
-
-//*****************************************************************************
-//
 // local functions
-//
 //*****************************************************************************
 
 //
 // Show a character who is all sitting at one piece of furniture
 //
 void list_one_furniture(CHAR_DATA *ch, OBJ_DATA *furniture) {
-  LIST *can_see = find_all_chars(ch,objGetUsers(furniture), "", NOBODY, TRUE);
+  LIST *can_see = find_all_chars(ch,objGetUsers(furniture), "", NULL, TRUE);
   listRemove(can_see, ch);
 
   char *chars = print_list(can_see, charGetName, charGetMultiName);
@@ -120,7 +110,7 @@
   LIST *list = NULL;
 
   list = get_nofurniture_chars(ch, roomGetCharacters(room), FALSE, FALSE);
-  show_list(ch, list, charGetRdesc, charGetMultiRdesc, charGetVnum);
+  show_list(ch, list, charGetRdesc, charGetMultiRdesc);
   deleteList(list);
 
   // show all of the objects that have people using them
@@ -130,24 +120,32 @@
 
   // show all of the objects that don't have people using them that we can see
   list = get_unused_items(ch, roomGetContents(room), FALSE);
-  show_list(ch, list, objGetRdesc, objGetMultiRdesc, objGetVnum);
+  show_list(ch, list, objGetRdesc, objGetMultiRdesc);
   deleteList(list);
 }
 
 
 
 //*****************************************************************************
-//
 // implementaiton of inform.h
 // look_at_xxx and show_xxx functions.
-//
 //*****************************************************************************
 void look_at_obj(CHAR_DATA *ch, OBJ_DATA *obj) {
-  char *new_desc = tagEdescs(objGetEdescs(obj),
-			     objGetDesc(obj),
-			     "{c", "{g");
-  send_to_char(ch, "{g%s", new_desc);
-  free(new_desc);
+  // make our working copy of the description
+  BUFFER *new_desc = bufferCopy(objGetDescBuffer(obj));
+
+  // do all of the preprocessing on the new descriptions
+  hookRun("preprocess_obj_desc", new_desc, obj, ch);
+
+  // colorize all of the edescs
+  edescTagDesc(new_desc, objGetEdescs(obj), "{c", "{g");
+
+  // format the desc, and send it
+  bufferFormat(new_desc, SCREEN_WIDTH, PARA_INDENT);
+  send_to_char(ch, "{g%s", bufferString(new_desc));
+
+  // free up our mess
+  deleteBuffer(new_desc);
 
   // list container-related stuff
   if(objIsType(obj, "container")) {
@@ -159,11 +157,11 @@
     // print all of our contents
     if(listSize(objGetContents(obj)) > 0 && !containerIsClosed(obj)) {
       LIST *vis_contents = find_all_objs(ch, objGetContents(obj), "", 
-					 NOTHING, TRUE);
+					 NULL, TRUE);
       // make sure we can still see things
       if(listSize(vis_contents) > 0) {
 	send_to_char(ch, "It contains:\r\n");
-	show_list(ch, vis_contents, objGetName, objGetMultiName, objGetVnum);
+	show_list(ch, vis_contents, objGetName, objGetMultiName);
       }
       deleteList(vis_contents);
     }
@@ -177,7 +175,7 @@
 
     // print character names
     if(num_sitters > 0) {
-      LIST *can_see = find_all_chars(ch, objGetUsers(obj), "", NOBODY, TRUE);
+      LIST *can_see = find_all_chars(ch, objGetUsers(obj), "", NULL, TRUE);
       listRemove(can_see, ch);
 
       char *chars = print_list(can_see, charGetName, charGetMultiName);
@@ -221,86 +219,69 @@
   }
 }
 
+//
+// shows a single exit to a character
+void list_one_exit(CHAR_DATA *ch, EXIT_DATA *exit, const char *dir) {
+  char   buf[100] = "\0"; // for the room class
+  ROOM_DATA *dest = worldGetRoom(gameworld, exitGetTo(exit));
+
+  if(bitIsOneSet(charGetUserGroups(ch), "builder"))
+    sprintf(buf, "[%s] ", roomGetClass(dest));
+
+  send_to_char(ch, "{g  %-10s :: %s%s\r\n", dir, buf, 
+	       (exitIsClosed(exit) ? 
+		// if it's closed, print the exit name
+		(*exitGetName(exit) ? exitGetName(exit) : "closed" ) :
+		// if it's open, print where it leads to
+		roomGetName(dest)));
+}
+
 
 void list_room_exits(CHAR_DATA *ch, ROOM_DATA *room) {
-  char buf[20]; // for room vnums
-  EXIT_DATA *exit;
-  ROOM_DATA *to;
-  int i;
+  EXIT_DATA     *exit = NULL;
+  ROOM_DATA       *to = NULL;
+  int               i = 0;
+  LIST       *ex_list = roomGetExitNames(room);
+  LIST_ITERATOR *ex_i = newListIterator(ex_list);
+  char           *dir = NULL;
 
-  // list normal exits
+  // first, we list all of the normal exit
   for(i = 0; i < NUM_DIRS; i++) {
-    if((exit = roomGetExit(room, i)) == NULL)
-      continue;
-    if(!can_see_exit(ch, exit))
-      continue;
-    else if((to = worldGetRoom(gameworld, exitGetTo(exit))) == NULL) {
-      log_string("ERROR: room %d heads %s to room %d, which does not exist.",
-		 roomGetVnum(room), dirGetName(i), exitGetTo(exit));
-      continue;
+    if( (exit = roomGetExit(room, dirGetName(i))) != NULL) {
+      // make sure the destination exists
+      if( (to = worldGetRoom(gameworld, exitGetTo(exit))) == NULL)
+	log_string("ERROR: room %s heads %s to room %s, which does not exist.",
+		   roomGetClass(room), dirGetName(i), exitGetTo(exit));
+      else if(can_see_exit(ch, exit))
+	list_one_exit(ch, exit, dirGetName(i));
     }
-    
-    if(bitIsOneSet(charGetUserGroups(ch), "builder"))
-      sprintf(buf, "[%d] ", roomGetVnum(to));
-    else
-      buf[0] = '\0';
-    
-    send_to_char(ch, "{g  %-10s :: %s%s\r\n", 
-		 dirGetName(i),
-		 buf,
-		 (exitIsClosed(exit) ? 
-		  // if it's closed, print the exit name
-		  (*exitGetName(exit) ? exitGetName(exit) : "closed" ) :
-		  // if it's open, print where it leads to
-		  roomGetName(to)));
   }
 
-
-  // list special exits
-  int num_spec_exits = 0;
-  const char **names = roomGetExitNames(room, &num_spec_exits);
-  for(i = 0; i < num_spec_exits; i++) {
-    if((exit = roomGetExitSpecial(room, names[i])) == NULL)
-      continue;
-    else if(!can_see_exit(ch, exit))
-      continue;
-    else if((to = worldGetRoom(gameworld, exitGetTo(exit))) == NULL) {
-       log_string("ERROR: room %d exits (%s) to room %d, which does not exist.",
-		 roomGetVnum(room), names[i], exitGetTo(exit));
-       continue;
+  // next, we list all of the special exits
+  ITERATE_LIST(dir, ex_i) {
+    if(dirGetNum(dir) == DIR_NONE) {
+      exit = roomGetExit(room, dir);
+      // make sure the destination exists
+      if( (to = worldGetRoom(gameworld, exitGetTo(exit))) == NULL)
+	log_string("ERROR: room %s heads %s to room %s, which does not exist.",
+		   roomGetClass(room), dir, exitGetTo(exit));
+      else if(can_see_exit(ch, exit))
+	list_one_exit(ch, exit, dir);
     }
-
-    if(bitIsOneSet(charGetUserGroups(ch), "builder"))
-      sprintf(buf, "[%d] ", roomGetVnum(to));
-    else
-      buf[0] = '\0';
-    
-    send_to_char(ch, "{g  %-10s :: %s%s\r\n", 
-		 names[i],
-		 buf,
-		 (exitIsClosed(exit) ? 
-		  // if it's closed, print the exit name
-		  (exitGetName(exit) ? exitGetName(exit) : "closed" ) :
-		  // if it's open, print where it leads to
-		  roomGetName(to)));
-  }
-
-
-  // clean up our mess
-  free(names);
+  } deleteListIterator(ex_i);
+  deleteListWith(ex_list, free);
 }
 
 
 void show_body(CHAR_DATA *ch, BODY_DATA *body) {
   int i, num_bodyparts;
   const char **bodyparts = bodyGetParts(body, TRUE, &num_bodyparts);
-  OBJ_DATA *equipment = NULL;
-  char posbuf[MAX_BUFFER];
+  OBJ_DATA    *equipment = NULL;
+  char posbuf[SMALL_BUFFER];
   for(i = 0; i < num_bodyparts; i++) {
     equipment = bodyGetEquipment(body, bodyparts[i]);
     if(!equipment || !can_see_obj(ch, equipment))
       continue;
-
     sprintf(posbuf, "{c<{C%s{c>{n", bodyparts[i]);
     send_to_char(ch, "%-30s %s\r\n", 
 		 posbuf, objGetName(equipment));
@@ -311,32 +292,55 @@
 
 
 void look_at_char(CHAR_DATA *ch, CHAR_DATA *vict) {
-  send_to_char(ch, "%s", (*charGetDesc(vict) ? 
-			  charGetDesc(vict) : NOTHING_SPECIAL"\r\n"));
+  // if we're an NPC, do some special work for displaying us. We don't do 
+  // dynamic descs for PCs because they will probably be describing themselves,
+  // and we don't want to give them access to the scripting language.
+  if(!charIsNPC(vict))
+    send_to_char(ch, "{g%s{n", (*charGetDesc(vict) ? 
+				charGetDesc(vict) : NOTHING_SPECIAL"\r\n"));
+  else {
+    BUFFER *new_desc = bufferCopy(charGetDescBuffer(vict));
+
+    // preprocess our desc before it it sent to the person
+    hookRun("preprocess_char_desc", new_desc, vict, ch);
+    
+    // format and send it
+    bufferFormat(new_desc, SCREEN_WIDTH, PARA_INDENT);
+    send_to_char(ch, "{g%s{n", (bufferLength(new_desc) > 0 ?
+				bufferString(new_desc): NOTHING_SPECIAL"\r\n"));
+
+    // clean up our mess
+    deleteBuffer(new_desc);
+  }
   show_body(ch, charGetBody(vict));
 }
 
 
 void look_at_room(CHAR_DATA *ch, ROOM_DATA *room) {
   if(bitIsOneSet(charGetUserGroups(ch), "builder"))
-    send_to_char(ch, "{c[%d] [%s] ", roomGetVnum(room), 
+    send_to_char(ch, "{c[%s] [%s] ", roomGetClass(room), 
 		 terrainGetName(roomGetTerrain(room)));
 
   send_to_char(ch, "{c%s\r\n", roomGetName(room));
 
-  const char *desc = roomGetDesc(room);
-#ifdef MODULE_TIME
-  if((is_evening() || is_night()) && *roomGetNightDesc(room))
-    desc = roomGetNightDesc(room);
-#endif
-  char *colorize_desc = tagEdescs(roomGetEdescs(room), desc, "{c", "{g");
-  send_to_char(ch, "{g%s", colorize_desc);
-  free(colorize_desc);
-    
+  // make the working copy of the description, and fill it up with info
+  BUFFER *desc = bufferCopy(roomGetDescBuffer(room));
+
+  // do all of our preprocessing of the description before we show it
+  hookRun("preprocess_room_desc", desc, room, ch);
+
+  // colorize all of the edescs
+  edescTagDesc(desc, roomGetEdescs(room), "{c", "{g");
+
+  // format our description
+  bufferFormat(desc, SCREEN_WIDTH, PARA_INDENT);
+
+  send_to_char(ch, "{g%s", bufferString(desc));
   list_room_exits(ch, room);
   list_room_contents(ch, room);
 
   send_to_char(ch, "{n");
+  deleteBuffer(desc);
 };
 
 
@@ -500,44 +504,33 @@
 // cmd_look lets a character get information about a specific thing. Objects,
 // characters, extra descriptions, and just about anything else that can exist
 // in the MUD can be looked at.
-//   usage: look <at> [target] [on thing] [in thing]
+//   usage: look [at] <target> [[<on> <thing>] [<in> <thing>]]
 //
 //   examples:
 //     look bob                      look at bob
 //     look at 2.woman               look at the 2nd woman
 //     look at sword in sheath       look at the sword in the sheath
 //     look at earrings on sue       look at the earrings sue is wearing
-//
 COMMAND(cmd_look) {
   if(!arg || !*arg)
     look_at_room(ch, charGetRoom(ch));
   else {
     int found_type = FOUND_NONE;
-    void *found;
+    void *found = generic_find(ch, arg, FIND_TYPE_ALL, FIND_SCOPE_IMMEDIATE,
+			       FALSE, &found_type);
 
-    found = generic_find(ch, arg,
-			 FIND_TYPE_ALL,
-			 FIND_SCOPE_IMMEDIATE,
-			 FALSE, &found_type);
     // nothing!
-    if(!found)
+    if(found == NULL)
       send_to_char(ch, "What did you want to look at?\r\n");
 
     // is it an extra description?
     else if(found_type == FOUND_EDESC) {
-      // get the set it belongs to
       EDESC_SET *set = edescGetSet(found);
-      // if it belongs to a set, highlight keywords
-      if(set) {
-	char *new_edesc = tagEdescs(set,
-				    edescSetGetDesc(found),
-				    "{c", "{g");
-	send_to_char(ch, "{g%s", new_edesc);
-	free(new_edesc);
-      }
-      // otherwise, just show the plain desc
-      else
-	send_to_char(ch, "{g%s", edescSetGetDesc(found));
+      BUFFER  *edesc = bufferCopy(edescGetDescBuffer(found));
+      edescTagDesc(edesc, set, "{c", "{g");
+      bufferFormat(edesc, SCREEN_WIDTH, PARA_INDENT);
+      send_to_char(ch, "{g%s", bufferString(edesc));
+      deleteBuffer(edesc);
     }
 
     // is it an item?
@@ -569,9 +562,9 @@
 		     objGetName(found));
       else {
 	send_to_char(ch, "You peer inside of %s:\r\n", objGetName(found));
-	LIST *vis_objs = find_all_objs(ch, objGetContents(found), "",
-				       NOTHING, TRUE);
-	show_list(ch, vis_objs, objGetName, objGetMultiName, objGetVnum);
+	LIST *vis_objs = find_all_objs(ch, objGetContents(found), "", NULL,
+				       TRUE);
+	show_list(ch, vis_objs, objGetName, objGetMultiName);
 	deleteList(vis_objs);
       }
     }
@@ -593,7 +586,6 @@
 
 //
 // list all of the equipment a character is wearing to him or herself
-//
 COMMAND(cmd_equipment) {
   send_to_char(ch, "You are wearing:\r\n");
   show_body(ch, charGetBody(ch));
@@ -602,14 +594,13 @@
 
 //
 // list a character's inventory to him or herself
-//
 COMMAND(cmd_inventory) {
   if(listSize(charGetInventory(ch)) == 0)
     send_to_char(ch, "You aren't carrying anything.\r\n");
   else {
     send_to_char(ch, "{gYou are carrying:\r\n");
-    LIST *vis_objs = find_all_objs(ch, charGetInventory(ch), "", NOTHING, TRUE);
-    show_list(ch, vis_objs, objGetName, objGetMultiName, objGetVnum);
+    LIST *vis_objs = find_all_objs(ch, charGetInventory(ch), "", NULL, TRUE);
+    show_list(ch, vis_objs, objGetName, objGetMultiName);
     deleteList(vis_objs);
   }
 }
@@ -617,7 +608,6 @@
 
 //
 // show a list of all commands available to the character
-//
 COMMAND(cmd_commands) {
   show_commands(ch, bitvectorGetBits(charGetUserGroups(ch)));
 }
